﻿
@{
    string titlHead = ViewBag.titleHead;
}


<div class="page-header">
    <div class="page-title">
        <h3>@titlHead</h3>
    </div>

    <!-- Page Stats -->
   
</div>
<!-- /Page Header -->

<div class="row">
    <div class="col-md-12">
       
        <div class="widget">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>Promo Reporting Detail</h4>
            </div>
            <div class="right-title">
                @using (Html.BeginForm(null, null, null, FormMethod.Post, new { id = "gridSeachPromoDetailReporting", City = "form" }))
                {
                    <input type="hidden" name="idm" id="idm" value="@ViewBag.idMem" />
                    <input type="hidden" name="idProm" id="idProm" value="@ViewBag.idProm" />
                    <input type="text" id="txtSearch" name="txtSearch" class="form-control box-search" placeholder="Search for...">
                    <button class="hidden" type="submit"></button>
                }

            </div>
            <div class="widget-content">
                @Html.Action("GridPromoReportingDetail")
            </div>
            <!-- .box-content -->

        </div>
        <!-- .box -->

    </div>
</div>
@section FooterScript{
    <script>
        (function () {
            var gridName = 'AllPromoReportingDetail';
            var pagingUrl = '@Url.Action(MVC.PromoReporting.GridGetAllPromoDetailReportPager())';

            $('.grid-mvc').gridmvc();
            pageGrids[gridName].ajaxify({
                getData: pagingUrl,
                getPagedData: pagingUrl,
                gridFilterForm: $('#gridSeachPromoDetailReporting')
            });
        }())
    </script>
}